cURL
curl --request PATCH \ --url https://app.sure.am/api/v1/trades/{id} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "trade": { "name": "<string>", "date": "2023-12-25", "amount": 123, "currency": "<string>", "notes": "<string>", "nature": "<string>", "type": "buy", "qty": 123, "price": 123, "investment_activity_label": "<string>", "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "date": "2023-12-25", "amount": "<string>", "currency": "<string>", "name": "<string>", "qty": 123, "price": "<string>", "account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "account_type": "<string>" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "notes": "<string>", "investment_activity_label": "<string>", "security": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ticker": "<string>", "name": "<string>" }, "category": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" } }
API key for authentication. Generate one from your account settings.
Trade ID
Show child attributes
trade updated
Formatted amount string
Quantity of shares or units
Formatted price per unit
Label for the investment activity type
Was this page helpful?